'\" t
.\"     Title: brebis
.\"    Author: Carl Chenet <chaica@brebisproject.org>
.\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
.\"      Date: 12/28/2014
.\"    Manual: \ \&
.\"    Source: \ \&
.\"  Language: English
.\"
.TH "BREBIS" "1" "12/28/2014" "\ \&" "\ \&"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
brebis \- check your backup for corruption or unexpected content
.SH "SYNOPSIS"
.sp
brebis [\-c DIR] [\-l FILE] [\-g] ARG1 ARG2 \&...
.SH "DESCRIPTION"
.sp
Brebis parses backups (archives and file tree) to perform several different checks in order to verify your backup integrity and its associated content\&.
.SH "OPTIONS"
.PP
\fB\-c \fR\fB\fIDIR\fR\fR\fB, \-\-configpath\fR \fIDIR\fR
.RS 4
the path to the configurations
.RE
.PP
\fB\-C \fR\fB\fIDIR\fR\fR\fB, \-\-output\-conf\-dir\fR \fIDIR\fR
.RS 4
the directory to store the configuration file
.RE
.PP
\fB\-d \fR\fB\fIDELIMITER\fR\fR\fB, \-\-delimiter\fR \fIDELIMITER\fR
.RS 4
delimiter of the fields for the list of files
.RE
.PP
\fB\-E \fR\fB\fIFILE\fR\fR\fB, \-\-exceptions\-file\fR \fIFILE\fR
.RS 4
delimiter of the fields for the list of files
.RE
.PP
\fB\-g, \-\-gen\-list\fR
.RS 4
generate a list of files inside a backup
.RE
.PP
\fB\-G, \-\-gen\-full\fR
.RS 4
generate the configuration file and the list of files for the backup
.RE
.PP
*\-H, \-\-hashes
.RS 4
generate the hash sum of each encountered file in the backup
.RE
.PP
*\-\-hashtype \fIHASHTYPE\fR
.RS 4
the type of the hash sum to use while generating configurations for the archive
.RE
.PP
\fB\-l \fR\fB\fIFILE\fR\fR\fB, \-\-log\fR \fIFILE\fR
.RS 4
the log file
.RE
.PP
\fB\-L \fR\fB\fIDIR\fR\fR\fB, \-\-output\-list\-dir\fR \fIDIR\fR
.RS 4
the directory to store the list of files inside an archive or tree
.RE
.PP
\fB\-O \fR\fB\fIDIR\fR\fR\fB, \-\-output\-list\-and\-conf\-dir\fR \fIDIR\fR
.RS 4
the directory to store the configuration file and the list of files inside an archive or tree
.RE
.SH "EXAMPLES"
.sp
Generate the list of files and their attributes inside a backup
.sp
$ brebis \-G /backups/monthly\-backup\&.tar\&.gz
.sp
Launch Brebis indicating your configuration directory and your log file
.sp
$ brebis \-c /etc/brebis/ \-l /var/log/brebis\&.log
.SH "AUTHOR"
.sp
Carl Chenet <chaica@brebisproject\&.org[]>
.SH "RESSOURCES"
.sp
Brebis project homepage : http://www\&.brebisproject\&.org
.SH "LICENSE"
.sp
Copyright \(co 2015 Carl Chenet This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License\&. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE\&. See the GNU General Public License for more details\&. You should have received a copy of the GNU General Public License along with this program\&. If not, see http://www\&.gnu\&.org/licenses/\&.
.SH "AUTHOR"
.PP
\fBCarl Chenet\fR <\&chaica@brebisproject\&.org\&>
.RS 4
Author.
.RE
